Platform owner

GET /core/v1/admin/tasks/{id}/content

Platform owner · GET /core/v1/admin/tasks/{id}/content

Authentication

Platform owner. Session/administrative writes are not executed in the public Playground.

Endpoint

curl --request GET 'https://api.oneaster.ai/core/v1/admin/tasks/00000000-0000-4000-8000-000000000001/content' \
  --header 'Authorization: Bearer '"$ONEASTER_SESSION_TOKEN" \
  --output artifact.png

Parameters

- id (path, Required): {"type":"string","format":"uuid"}

Responses

200

已结算且归档的PNG;固定UUID文件名、image/png、no-store、nosniff、ETag为原产物SHA256。不存在404,未结算/未归档409 artifact_unavailable,视频409 provider_url_delivery。

{
  "image/png": {
    "schema": {
      "type": "string",
      "format": "binary"
    }
  }
}

default

错误代码见 core-api.md;供应商/数据库错误已隐藏。

{
  "application/json": {
    "schema": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "success": {
          "const": false
        },
        "error": {
          "type": "object",
          "additionalProperties": false,
          "properties": {
            "code": {
              "type": "string"
            },
            "message": {
              "type": "string"
            },
            "type": {
              "const": "oneaster_error"
            }
          },
          "required": [
            "code",
            "message",
            "type"
          ]
        },
        "data": {
          "type": "null"
        }
      },
      "required": [
        "success",
        "error",
        "data"
      ]
    }
  }
}